Subject: Re: Delete a file and start a Windows application
From: "Dave Arnold" <[email-masked]>
To: <[email-masked]>
Cc: "mail and news" <[email-masked]>
Date: Wed, 5 Jul 2000 18:04:51 -0700

hi,

regarding getting back to command line. Well, I know that programs run under
real UNIX
OS are running under a multitask supported environment so you could run
several
processes from a single shell window by putting those processes in the
background.
You can do this on unix by typing ctrl-z(^z) to stop the foreground process
and typing
bg to run it in the background. This way the apps that are busy won't tie up
the command line.

DOS doesn't have a way to do this. This is perhaps a limiting factor for
cygwin bash
because it runs on top of dos.  However, cygwin developers may implement
this support
sometime in the future...who knows...those cygwin guys are pretty creative!

Another key point for you Paul is that some when some unix apps are run,
they will read input from the standard input "stdin" stream which is
basically
the command prompt, so when they are run you will see the command
prompt go away but it wont be entirely dead because you'll notice you can
type stuff and it echos back to the screen.  In most cases like this, the
app is actually
reading from stdin and you can send a quit flag to it usually with a ctrl-d
(^d) key press.
Or you can try ctrl-c which should kill the current foreground process.

I have noticed that sometimes an app will hang ontop of cygwin in which case
I
couldn't kill it or get back to the bash prompt and had to kill the dos
window.
sometimes that happens but not often enough for me to be upset at cygwin.
This could also be happening to you.

goodluck,
./dave

-----Original Message-----
From: Chris Faylor <[email-masked]>
To: [email-masked] <[email-masked]>
Date: Wednesday, July 05, 2000 3:27 PM
Subject: Re: Delete a file and start a Windows application

>On Wed, Jul 05, 2000 at 05:52:56PM -0230, Paul Y. Peng wrote:
>>1. How can I delete a file in such a way that it is actually moved
>>into recycle bin and can be restored later, say, by using Windows
>>Explorer?
>
>Cygwin doesn't do this.  Cygwin is a UNIX emulation.  It doesn't know
>about recycle bins.
>
>>2. Why can't I get bash command line prompt back when certain Windows
>>applications are launched from bash command line?
>
>Because that is the way things work under UNIX.
>
>cgf
>
>--
>Want to unsubscribe from this list?
>Send a message to [email-masked]
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]